package com.yizhi.esearch.application.constant;

/**
 * @Author: shengchenglong
 * @Date: 2018/12/20 15:30
 */
public interface Constant {

    String index_Assignment = "assignment";
    String INDEX_CASE_LIBRARY = "case_library";
    String INDEX_COURSE = "course";
    String INDEX_EXAM = "exam";
    String INDEX_LECTURER = "lecturer";
    String INDEX_MARKETING_COURSE = "course";
    String INDEX_RESEARCH = "research";
    String INDEX_STUDENT_CASE = "student_case";
    String INDEX_TRAINING_PROJECT = "training_project";
    String INDEX_ACCOUNT = "account";
    String INDEX_ALBUM = "album";

    String FIELD_COMPANY_ID = "companyId";
    String FIELD_SITE_ID = "siteId";
    String FIELD_ORG_ID = "orgId";
    String FIELD_DELETED = "deleted";
    String FIELD_VISIBLE_RANGE = "visibleRange";

//    /**
//     * pojo实体的index类型
//     */
//    Map<Class, String> POJO_INDEX_MAP = new HashMap<>();
//    /**
//     * pojo实体的type类型
//     */
//    Map<Class, String> POJO_TYPE_MAP = new HashMap<>();
//
//    static {
//        POJO_INDEX_MAP.put(TrainingProject.class, "training_project");
//        POJO_INDEX_MAP.put(Assignment.class, "assignment");
//        POJO_INDEX_MAP.put(Course.class, "course");
//        POJO_INDEX_MAP.put(Exam.class, "exam");
//        POJO_INDEX_MAP.put(Research.class, "research");
//
//        POJO_TYPE_MAP.put(TrainingProject.class, "training_project");
//        POJO_TYPE_MAP.put(Assignment.class, "assignment");
//        POJO_TYPE_MAP.put(Course.class, "course");
//        POJO_TYPE_MAP.put(Exam.class, "exam");
//        POJO_TYPE_MAP.put(Research.class, "research");
//    }

    /**
     * 是否删除：否
     */
    Integer DELETED_NO = 0;
    /**
     * 是否删除：是
     */
    Integer DELETED_YES = 1;

    /**
     * 上架状态
     */
    Integer STATUS_UP = 1;
    /**
     * 下架状态
     */
    Integer STATUS_DOWN = 2;
    /**
     * 草稿状态
     */
    Integer STATUS_DRAFT = 0;

    /**
     * 可见范围：全站点可见
     */
    Integer VISIBLE_RANGE_PUBLIC = 1;
    /**
     * 可见范围：指定范围可见
     */
    Integer VISIBLE_RANGE_APPOINTED = 2;

    /**
     * 可见范围指定部门
     */
    Integer VISIBLE_RANGE_APPOINTED_ORGANIZATION = 1;
    /**
     * 可见范围指定用户
     */
    Integer VISIBLE_RANGE_APPOINTED_ACCOUNT = 2;


    /**
     * ---------------------------------------- 可见范围查询type ---------------------------------------------------
     */
    String BIZ_TYPE_VISIBLE_ASSIGNMENT = "assignment_auth";
    String BIZ_TYPE_VISIBLE_CASE_LIBRARY = "case_library_auth";
    String BIZ_TYPE_VISIBLE_COURSE = "course_auth";
    String BIZ_TYPE_VISIBLE_EXAM = "exam_auth";
    String BIZ_TYPE_VISIBLE_STUDENT_CASE = "student_case_auth";
    String BIZ_TYPE_VISIBLE_TRAINING_PROJECT = "training_project_auth";
}
