package com.yizhi.esearch.application.pojo.biz;

import com.yizhi.esearch.application.constant.Constant;
import lombok.Data;
import org.springframework.data.annotation.Id;
import org.springframework.data.elasticsearch.annotations.Document;
import org.springframework.data.elasticsearch.annotations.Field;

/**
 * @Author: shengchenglong
 * @Date: 2018/12/20 21:09
 */
@Data
@Document(indexName = "biz_keyword")
public class EsBizKeyword {

    /**
     * recommendType_siteId_{keyword}
     */
    @Id
    private String id;

    private String recommendType;

    /**
     * 业务id
     */
    @Field
    private String bizId;

    private String value;

    private String kw_value;

    /**
     * @see Constant
     */
    @Field
    private Integer status;

    @Field
    private Integer deleted;

    @Field
    private String companyId;

    @Field
    private String siteId;

}
