package com.yizhi.esearch.application.pojo.biz;

import com.yizhi.esearch.application.constant.Constant;
import lombok.Data;
import org.springframework.data.annotation.Id;
import org.springframework.data.elasticsearch.annotations.Document;
import org.springframework.data.elasticsearch.annotations.Field;
import org.springframework.data.elasticsearch.annotations.FieldType;

import java.time.LocalDateTime;

/**
 * @Author: shengchenglong
 * @Date: 2018/12/20 21:09
 */
@Data
@Document(indexName = "biz_visible_range")
public class EsBizVisibleRange {

    /**
     * concat(id, '_training_project_auth') as id,
     */
    @Id
    private String id;

    @Field(type = FieldType.Keyword)
    private String bizType;

    /**
     * 业务id
     */
    @Field(type = FieldType.Keyword)
    private String bizId;

    /**
     * @see Constant
     */
    private Integer type;

    @Field(type = FieldType.Keyword)
    private String relationId;

    /**
     *
     */
    private String name;

    @Field
    private Integer deleted;


    @Field(type = FieldType.Keyword)
    private String siteId;

    private LocalDateTime indexTime;

}
