package com.yizhi.esearch.application.pojo.biz;

import com.yizhi.esearch.application.constant.Constant;
import lombok.Data;
import org.springframework.data.annotation.Id;
import org.springframework.data.elasticsearch.annotations.Document;

/**
 * @Author: shengchenglong
 * @Date: 2018/12/20 21:09
 */
@Data
@Document(indexName = "lecturer")
public class EsLecturer {

    @Id
    private String id;

    private String username;

    /**
     * 所在平台用户id
     */
    private String accountId;

    private String lecturerName;

    private String keyword;

    private String relationIds;

    private String classifyId;

    private String source;

    private String avatar;

    private String image;

    private String title;

    /**
     * @see Constant
     */
    private Integer status;

    /**
     * @see Constant
     */
    private Integer deleted;

    private String companyId;

    private String siteId;

}
