package com.yizhi.esearch.application.pojo.system;

import com.yizhi.esearch.application.constant.Constant;
import lombok.Data;
import org.springframework.data.annotation.Id;
import org.springframework.data.elasticsearch.annotations.Document;

/**
 * @ClassName Organization
 * @Description 部门
 * @Author chengchenglong
 * @DATE 2019-04-17 20:18
 * @Version 1.0
 */
@Data
@Document(indexName = "organization")
public class EsOrganization {

    @Id
    private String id;

    private String name;

    private String parentId;

//    private String parentIdLayer;
//
//    private String parentIdLayerName;
//
//    private String childIdLayer;
//
//    private String childIdLayerName;

    private Integer layer;

    /**
     * @see Constant
     */
    private Integer deleted;

    private String companyId;

    private Integer leftIndex;

    private Integer rightIndex;

}
