package com.yizhi.esearch.application.vo;

import com.yizhi.esearch.application.pojo.biz.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @Author: shengchenglong
 * @Date: 2018/12/27 10:32
 */
@Data
@ApiModel("全局搜索返回 vo")
public class GlobalSearchVo {

    @ApiModelProperty("课程")
    private List<EsCourse> courses;

    @ApiModelProperty("营销课程")
    private List<EsMarketingCourse> marketingCourses;

    @ApiModelProperty("培训项目")
    private List<EsTrainingProject> trainingProjects;

    @ApiModelProperty("考试")
    private List<EsExam> exams;

    @ApiModelProperty("作业")
    private List<EsAssignment> assignments;

    @ApiModelProperty("调研")
    private List<EsResearch> research;

    @ApiModelProperty("讲师")
    private List<EsLecturer> lecturers;

    @ApiModelProperty("案例库")
    private List<EsStudentCase> studentCases;

    @ApiModelProperty("案例库")
    private List<EsAlbum> albums;

}
