package com.yizhi.esearch.application.eum;

import com.yizhi.drools.application.constant.DroolsConstants;
import org.elasticsearch.index.query.QueryBuilder;
import org.elasticsearch.index.query.QueryBuilders;

/**
 * @ClassName AndOrQbBuilder
 * @Description TODO
 * @Author shengchenglong
 * @DATE 2020-01-09 16:32
 * @Version 1.0
 */
public enum RuleAndOrQbBuilder {

    AND(DroolsConstants.AND) {
        @Override
        public QueryBuilder build(QueryBuilder Qb1, QueryBuilder Qb2) {
            return QueryBuilders.boolQuery()
                    .must(Qb1)
                    .must(Qb2);
        }
    },
    OR(DroolsConstants.OR) {
        @Override
        public QueryBuilder build(QueryBuilder Qb1, QueryBuilder Qb2) {
            return QueryBuilders.boolQuery()
                    .should(Qb1)
                    .should(Qb2);
        }
    };

    private String andOr;

    RuleAndOrQbBuilder(String type) {
        this.andOr = type;
    }

    public String getAndOr() {
        return this.andOr;
    }

    public abstract QueryBuilder build(QueryBuilder Qb1, QueryBuilder Qb2);


}
