package com.yizhi.esearch.application.repository;

import com.yizhi.esearch.application.pojo.biz.EsLecturer;
import org.springframework.data.elasticsearch.repository.ElasticsearchRepository;

import java.util.List;

/**
 * @Author: shengchenglong
 * @Date: 2018/12/24 09:50
 */
public interface LecturerRepository extends ElasticsearchRepository<EsLecturer, Long> {

    List<EsLecturer> findBySiteId(String siteId);

    List<EsLecturer> findByRelationIds(String relationIds);

//    List<Lecturer> findBySiteIdEqualsAndLecturerNameOrRelationIds(String siteId, String lecturerName, String relationIds);
    //

}
