package com.yizhi.esearch.application.util;

import com.yizhi.util.application.domain.Response;
import org.springframework.data.domain.Page;

import java.util.HashMap;
import java.util.Map;

/**
 * @Author: shengchenglong
 * @Date: 2018/12/26 17:00
 */
public class ResponseHelper {

    public static Response ok(Object data) {
        return Response.ok(data);
    }

    public static Response ok(Page page) {
        Map<String, Integer> pageMap = new HashMap<>();
        pageMap.put("pageNo", page.getNumber() + 1);
        pageMap.put("pageSize", page.getSize());
        pageMap.put("pageTotal", page.getTotalPages());
        pageMap.put("pageRecords", Integer.valueOf(String.valueOf(page.getTotalElements())));
        return Response.ok(page.getContent(), pageMap);
    }
}
