SELECT concat(a.id, '')         AS id,
       a.`name`,
       a.sex,
       a.description,
       a.full_name              AS fullName,
       a.full_name              AS kw_fullName,
       a.work_num               AS workNum,
       a.telephone,
       a.mobile,
       a.email,
       a.wechat,
       a.position               AS duty,
       a.position               AS kw_duty,
       a.enabled,
       a.locked,
       concat(a.org_id, '')     AS orgId,
       o.`name`                 AS orgName,
       o.`name`                 AS kw_orgName,
       o.left_index             AS orgLeftIndex,
       o.right_index            AS orgRightIndex,
       concat(a.company_id, '') AS companyId,
       c.`name`                 AS companyName,
       a.remark_first           AS remark1,
       a.remark_first           AS kw_remark1,
       a.remark_second          AS remark2,
       a.remark_second          AS kw_remark2,
       a.remark_third           AS remark3,
       a.remark_third           AS kw_remark3,
       a.index_time             AS indexTime
FROM account a
         LEFT JOIN `organization` o ON a.org_id = o.id
         LEFT JOIN company c ON c.id = a.company_id
WHERE a.index_time >= CONVERT_TZ(:sql_last_value, '+00:00', '+08:00')
   or o.index_time >= CONVERT_TZ(:sql_last_value, '+00:00', '+08:00')
   or c.index_time >= CONVERT_TZ(:sql_last_value, '+00:00', '+08:00')