SELECT id,
       recommendId,
       GROUP_CONCAT(relationIds SEPARATOR '') AS relationIds,
       indexTime
FROM (
         (
             SELECT CONCAT(assignment_id, '')              AS id,
                    CONCAT(assignment_id, '_assignment')   AS recommendId,
                    GROUP_CONCAT(account_id SEPARATOR ' ') AS relationIds,
                    index_time                             AS indexTime
             FROM assignment_student
             WHERE deleted = 0
               AND index_time >= CONVERT_TZ(:sql_last_value, '+00:00', '+08:00')
             GROUP BY assignment_id
         )
     ) t
GROUP BY id