SELECT id,
       recommendId,
       group_concat(relationIds SEPARATOR ' ') AS relationIds,
       indexTime
FROM (
         (
             SELECT concat(relation_id, '')                 AS id,
                    concat(relation_id, '_exam')            AS recommendId,
                    group_concat(relation_id SEPARATOR ' ') AS relationIds,
                    index_time                              AS indexTime
             FROM tr_exam_authorize
             WHERE state = 1
               AND index_time >= CONVERT_TZ(:sql_last_value, '+00:00', '+08:00')
             GROUP BY relation_id
         )
     ) t
GROUP BY id