SELECT concat(id, '')               as id,
       concat(id, '_offlineCourse') AS recommendId,
       'offlineCourse'              as recommendType,
       `name`,
       `code`,
       author_unit                  AS authorUnit,
       `description`,
       tags                         as keyword,
       deleted,
       (case status
            when 2 then 0
            when 0 then 1
            when 1 then 2
           end) * 1                 as `status`,
       concat(company_id, '')       AS companyId,
       concat(site_id, '')          AS siteId,
       concat(org_id, '')           AS orgId,
       update_time                  as updateTime,
       create_time                  as createTime,
       image,
       index_time                   as indexTime
FROM offline_course
WHERE index_time >= CONVERT_TZ(:sql_last_value, '+00:00', '+08:00')