package com.yizhi.esearch.application.pojo.biz;

import com.yizhi.esearch.application.constant.Constant;
import lombok.Data;
import org.springframework.data.annotation.Id;
import org.springframework.data.elasticsearch.annotations.Document;

/**
 * @Author: shengchenglong
 * @Date: 2018/12/20 21:09
 */
@Data
@Document(indexName = "case_library")
public class EsCaseLibrary {

    @Id
    private String id;

    /**
     * title
     */
    private String name;

    /**
     * @see Constant
     */
    private Integer status;

    /**
     * @see Constant
     */
    private Integer visibleRange;

    /**
     * @see Constant
     */
    private Integer deleted;

    private String companyId;

    private String siteId;

    private String orgId;

    private String image;

}
