package com.yizhi.esearch.application.pojo.biz;

import com.yizhi.esearch.application.constant.Constant;
import lombok.Data;
import org.springframework.data.annotation.Id;
import org.springframework.data.elasticsearch.annotations.Document;

/**
 * @Author: shengchenglong
 * @Date: 2018/12/20 15:24
 */
@Data
@Document(indexName = "doc_recommend")
public class EsDocRecommend {

    @Id
    private String id;

    private String recommendId;

    private String recommendType;

    private String name;

    private String code;

    private String keyword;

    /**
     * @see Constant
     */
    private Integer status;

    /**
     * @see Constant
     */
    private Integer deleted;

    private String companyId;

    private String siteId;

    private String orgId;

    private String image;

}
