package com.yizhi.esearch.application.pojo.biz;

import com.yizhi.esearch.application.constant.Constant;
import lombok.Data;
import org.springframework.data.annotation.Id;
import org.springframework.data.elasticsearch.annotations.Document;

/**
 * @ClassName Live
 * @Description TODO
 * @Author shengchenglong
 * @DATE 2019-12-26 15:39
 * @Version 1.0
 */
@Data
@Document(indexName = "live")
public class EsLive {

    @Id
    private String id;

    /**
     * title
     */
    private String name;

    /**
     * @see Constant
     */
    private Integer status;

    private String code;

    private String keyword;

    /**
     * @see Constant
     */
    private Integer visibleRange;

    /**
     * @see Constant
     */
    private Integer deleted;

    private String companyId;

    private String siteId;

    private String orgId;

    private String image;

}
