package com.yizhi.esearch.application.pojo.biz;

import com.yizhi.esearch.application.constant.Constant;
import lombok.Data;
import org.springframework.data.annotation.Id;
import org.springframework.data.elasticsearch.annotations.Document;

/**
 * @ClassName OfflineCourse
 * @Description TODO
 * @Author shengchenglong
 * @DATE 2019-05-21 15:55
 * @Version 1.0
 */
@Data
@Document(indexName = "offline_course")
public class EsOfflineCourse {

    @Id
    private String id;

    private String name;

    private String keyword;

    private String code;

    /**
     * @see Constant
     */
    private Integer status;

    /**
     * @see Constant
     */
    private Integer deleted;

    private String companyId;

    private String siteId;

    private String orgId;

    private String image;
}
