package com.yizhi.esearch.application;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.data.elasticsearch.repository.config.EnableElasticsearchRepositories;
import org.springframework.scheduling.annotation.EnableScheduling;

@EnableDiscoveryClient
@SpringBootApplication
@EnableElasticsearchRepositories(basePackages = {"com.yizhi.esearch.application.repository"})
@EnableScheduling
@ComponentScan({"com.yizhi"})
public class CloudEsearchApplication {

    public static void main(String[] args) {
        SpringApplication.run(CloudEsearchApplication.class, args);
    }

}

