package com.yizhi.esearch.application.repository;

import com.yizhi.esearch.application.pojo.biz.EsCourse;
import org.springframework.data.elasticsearch.repository.ElasticsearchRepository;

import java.util.List;

/**
 * @Author: shengchenglong
 * @Date: 2018/12/20 15:39
 */
public interface CourseRepository extends ElasticsearchRepository<EsCourse, Long> {

    /**
     * @param siteId
     * @param name
     * @param status
     * @return
     */
    List<EsCourse> findBySiteIdEqualsAndNameAndStatusAndDeleted(String siteId, String name, Integer status, Integer deleted);


}
