package com.yizhi.esearch.application.repository;

import com.yizhi.esearch.application.pojo.biz.EsTrainingProject;
import org.springframework.data.elasticsearch.repository.ElasticsearchRepository;

import java.util.List;

/**
 * @Author: shengchenglong
 * @Date: 2018/12/20 16:24
 */
public interface TrainingProjectRepository extends ElasticsearchRepository<EsTrainingProject, Long> {

    /**
     * @param siteId
     * @param name
     * @param status
     * @return
     */
    List<EsTrainingProject> findBySiteIdEqualsAndNameAndStatusAndDeleted(String siteId, String name, Integer status, Integer deleted);

}
