#!/usr/bin/env bash
rm -rf logstash-6.5.3
cp -r ../logstash-6.5.3 .  

rm -rf logstash-6.5.3/config/stable/*log
rm -rf logstash-6.5.3/config/stable/*txt
docker build -t registry.cn-shanghai.aliyuncs.com/wmy/logstash .
docker push registry.cn-shanghai.aliyuncs.com/wmy/logstash
echo run CMD:
#echo " docker run -d --name logstash --restart=always --log-opt max-size=100m --log-opt max-file=3 registry.cn-shanghai.aliyuncs.com/wmy/logstash <conf name default: my-test.conf>"
echo '# use env relaseENV: <test uat prod> assign the conf'
echo "docker run -d --name logstash --restart=always --log-driver=json-file  --log-opt max-size=100m --log-opt max-file=3 -e 'relaseENV=test' registry.cn-shanghai.aliyuncs.com/wmy/logstash "
echo "docker run -d --name logstash --restart=always -e "relaseENV=test" --add-host=elasticsearch.elasticsearch:192.168.0.173 registry.cn-shanghai.aliyuncs.com/wmy/logstash"
