SELECT concat(id, '')                                                               AS id,
       concat(id, '_assignment')                                                    AS recommendId,
       'assignment'                                                                 AS recommendType,
       serial_num                                                                   AS `code`,
       amendable,
       `name`,
       `name`                                                                       AS kw_name,
       keywords                                                                     AS keyword,
       replace(keywords, ",", " ")                                                  AS kw_keyword,
       (CASE finish_time WHEN '2038-01-01 00:00:00' THEN NULL ELSE finish_time END) AS endTime,
       (`status` - 1) * 1                                                           AS `status`,
       (CASE `status` WHEN 0 THEN 1 ELSE 0 END)                                     AS deleted,
       visible_range * 1                                                            AS visibleRange,
       concat(company_id, '')                                                       AS companyId,
       concat(site_id, '')                                                          AS siteId,
       concat(org_id, '')                                                           AS orgId,
       update_time                                                                  AS updateTime,
       create_time                                                                  AS createTime,
       image,
       index_time                                                                   AS indexTime
FROM assignment
WHERE index_time >= CONVERT_TZ(:sql_last_value, '+00:00', '+08:00')