SELECT concat(id, '')                        AS id,
       concat(id, '_exam')                   AS recommendId,
       'exam'                                AS recommendType,
       exam_no                               AS `code`,
       `name`,
       `name`                                AS kw_name,
       keywords                              AS keyword,
       replace(keywords, ",", " ")           AS kw_keyword,
       `description`,
       start_time                            AS startTime,
       end_time                              AS endTime,
       (state - 1) * 1                       AS `status`,
       (CASE state WHEN 0 THEN 1 ELSE 0 END) AS deleted,
       visible_range * 1                     AS visibleRange,
       concat(company_id, '')                AS companyId,
       concat(site_id, '')                   AS siteId,
       concat(org_id, '')                    AS orgId,
       update_time                           AS updateTime,
       create_time                           AS createTime,
       image,
       index_time                            AS indexTime
FROM exam
WHERE index_time >= CONVERT_TZ(:sql_last_value, '+00:00', '+08:00')