SELECT tlc.lecturer_id                      AS id,
       concat(tlc.lecturer_id, '_lecturer') AS recommendId,
       GROUP_CONCAT(tlc.classification_id)  AS classifyId,
       GROUP_CONCAT(lc.`name`)              AS classifyName
FROM tr_lecturer_classification tlc
         LEFT JOIN lecturer_classification lc ON lc.id = tlc.classification_id
WHERE lc.del_flag = 0
GROUP BY tlc.lecturer_id