SELECT concat(a.id, '')                                      AS id,
       concat(a.id, '_live')                                 AS recommendId,
       'live'                                                as recommendType,
       a.title                                               AS `name`,
       a.title                                               AS kw_name,
       a.channel                                             AS `code`,
       a.channel                                             AS kw_code,
       a.keywords                                            AS keyword,
       replace(a.keywords, ",", " ")                         AS kw_keyword,
       GROUP_CONCAT(au.account_id SEPARATOR ' ')             AS relationIds,
       a.anchor                                              as anchorName,
       a.anchor                                              as kw_anchorName,
       (case a.scope when 0 then 1 when 1 then 2 else 2 end) as visibleRange,
       concat(a.company_id, '')                              AS companyId,
       concat(a.site_id, '')                                 AS siteId,
       concat(a.org_id, '')                                  AS orgId,
       a.deleted,
       a.logo_image                                          as image,
       a.shelves                                             as `status`
FROM live_activity a
         LEFT JOIN scope_authorization au ON au.live_id = a.id
GROUP BY a.id