//package com.fulan.esearch;
//
//import com.alibaba.fastjson.JSON;
//import com.alibaba.fastjson.JSONObject;
//import com.fulan.application.vo.BusinessVo4PortalParam;
//import com.fulan.application.vo.manage.RuleItemVo;
//import com.fulan.application.vo.manage.RuleVo;
//import Constant;
//import CourseController;
//import GlobalSearchController;
//import LecturerController;
//import BizKeywordController;
//import OrganizationController;
//import RecommendController;
//import com.fulan.application.context.ContextHolder;
//import com.fulan.application.context.RequestContext;
//import com.fulan.esearch.application.pojo.biz.BizKeyword;
//import com.fulan.esearch.application.pojo.biz.Course;
//import com.fulan.esearch.application.pojo.biz.TrainingProject;
//import CourseRepository;
//import LecturerRepository;
//import OfflineCourseRepository;
//import TrainingProjectRepository;
//import org.elasticsearch.client.support.AbstractClient;
//import org.elasticsearch.index.query.QueryBuilder;
//import org.elasticsearch.index.query.QueryBuilders;
//import org.junit.Test;
//import org.junit.runner.RunWith;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.boot.test.context.SpringBootTest;
//import org.springframework.data.domain.Page;
//import org.springframework.data.domain.PageRequest;
//import org.springframework.data.elasticsearch.core.ElasticsearchTemplate;
////import org.springframework.data.elasticsearch.core.ScrolledPage;
//import org.springframework.data.elasticsearch.core.query.NativeSearchQueryBuilder;
//import org.springframework.data.elasticsearch.core.query.SearchQuery;
//import org.springframework.test.context.junit4.SpringRunner;
//
//import javax.annotation.PostConstruct;
//import java.util.*;
//
//@RunWith(SpringRunner.class)
//@SpringBootTest
//public class CloudEsearchApplicationTests {
//
//    @Autowired
//    private ElasticsearchTemplate elasticsearchTemplate;
//    @Autowired
//    private OrganizationController organizationController;
//    @Autowired
//    private LecturerRepository lecturerRepository;
//    @Autowired
//    private CourseRepository courseRepository;
//    @Autowired
//    private TrainingProjectRepository trainingProjectRepository;
//    @Autowired
//    private LecturerController lecturerController;
//    @Autowired
//    private GlobalSearchController globalSearchController;
//    @Autowired
//    private OfflineCourseRepository offlineCourseRepository;
//    @Autowired
//    private AbstractClient client;
//    @Autowired
//    private RecommendController recommendController;
//    @Autowired
//    private BizKeywordController bizKeywordController;
//    @Autowired
//    private CourseController courseController;
//
//    @PostConstruct
//    public void post() {
//        RequestContext context = new RequestContext();
//        context.setCompanyId(1314L);
//        context.setOrgId(1314L);
//        context.setSiteId(1314L);
//        ContextHolder.set(context);
//    }
//
//    @Test
//    public void multiCondition() {
//        QueryBuilder queryBuilder = QueryBuilders.boolQuery()
//                .must(QueryBuilders.termQuery("companyId", 1314L))
//                .must(QueryBuilders.termQuery("siteId", 1314L));
//
//        SearchQuery searchQuery = new NativeSearchQueryBuilder()
//                .withIndices("training_project")
//                .withTypes("training_project")
//                .withQuery(queryBuilder)
//                .build();
//
//        List<TrainingProject> trainingProjects = elasticsearchTemplate.queryForList(searchQuery, TrainingProject.class);
//        System.out.println(trainingProjects);
//    }
//
//    @Test
//    public void orgIdListConditionForPage() {
//        QueryBuilder queryBuilder = QueryBuilders.boolQuery();
////                .must(QueryBuilders.termQuery("companyId", 73L))
////                .must(QueryBuilders.termQuery("siteId", 189L))
////                .must(QueryBuilders.termsQuery("orgId", new Long[]{1314L, 641502377243248L}))
//        // 查不出来
////                .must(QueryBuilders.termQuery("name", "握柜"))
//        // 查不出来
////                .must(QueryBuilders.fuzzyQuery("name", "握柜"));
//
//
//        SearchQuery searchQuery = new NativeSearchQueryBuilder()
//                .withQuery(queryBuilder)
//                // page从0开始
//                .withPageable(new PageRequest(0, 10))
//                .build();
//
//        Page<Course> coruses = elasticsearchTemplate.queryForPage(searchQuery, Course.class);
//        coruses.getContent().stream().forEach(element -> System.out.println(element));
//        System.out.println(coruses);
//    }
//
//    @Test
//    public void scrollForAll() {
////        List<Course> courses = new ArrayList<>();
////
////        QueryBuilder queryBuilder = QueryBuilders.boolQuery();
//////                .must(QueryBuilders.termsQuery("orgId", new Long[]{1314L, 641502377243248L}));
////
////        SearchQuery searchQuery = new NativeSearchQueryBuilder()
////                .withQuery(queryBuilder)
////                .build();
////
////        Page<Course> scroll = elasticsearchTemplate.startScroll(1000, searchQuery, Course.class);
////        String scrollId = ((ScrolledPage) scroll).getScrollId();
////        while (scroll.hasContent()) {
////            courses.addAll(scroll.getContent());
////            scrollId = ((ScrolledPage) scroll).getScrollId();
////            scroll = elasticsearchTemplate.continueScroll(scrollId, 1000, Course.class);
////        }
////
////        elasticsearchTemplate.clearScroll(scrollId);
////
////        courses.stream().forEach(ele -> System.out.println(ele.getOrgId()));
//    }
//
//    @Test
//    public void AndOrCondition() {
//        QueryBuilder queryBuildera = QueryBuilders.boolQuery()
//                .must(QueryBuilders.termQuery("a", "a"));
//
//
//        QueryBuilder queryBuilderb = QueryBuilders.boolQuery()
//                .should(QueryBuilders.termQuery("b", "b"))
//                .should(QueryBuilders.termQuery("c", "c"));
//
//        QueryBuilder queryBuilder = QueryBuilders.boolQuery()
//                .must(queryBuildera).must(queryBuilderb);
//        System.out.println(queryBuilder.toString());
//    }
//
//    @Test
//    public void testOrganization() {
//
////        List<Organization> organizations = new ArrayList<>();
////        Page<Organization> scroll = elasticsearchTemplate.startScroll(20000, new NativeSearchQueryBuilder().build(), Organization.class);
////        String scrollId = ((ScrolledPage) scroll).getScrollId();
////        while (scroll.hasContent()) {
////            organizations.addAll(scroll.getContent());
////            scrollId = ((ScrolledPage) scroll).getScrollId();
////            scroll = elasticsearchTemplate.continueScroll(scrollId, 1000, Organization.class);
////        }
////        organizations.forEach(item -> organizationController.getParentNames(Long.valueOf(item.getId())));
//    }
//
//    /**
//     * 测试字段类型影响
//     */
//    @Test
//    public void testType() {
////        QueryBuilder queryBuilder = QueryBuilders.matchQuery("name", "风险的分类");
////        SearchQuery searchQuery = new NativeSearchQueryBuilder()
////                .withQuery(queryBuilder)
////                .build();
////        System.out.println(elasticsearchTemplate.queryForList(searchQuery, Course.class));
//
//        QueryBuilder queryBuilder1 = QueryBuilders.matchQuery("companyId", 1098419202962055168L);
//        SearchQuery searchQuery1 = new NativeSearchQueryBuilder()
//                .withQuery(queryBuilder1)
//                .build();
//        System.out.println(elasticsearchTemplate.queryForList(searchQuery1, Course.class));
//    }
//
//    @Test
//    public void testLecturer() {
//        RequestContext context = new RequestContext();
//        context.setSiteId(1016273921840132096L);
//        context.setCompanyId(1016273921756246016L);
//        ContextHolder.set(context);
////        lecturerController.list("你好", 1, 30);
//    }
//
//    @Test
//    public void testGlobal() {
//        RequestContext context = new RequestContext();
//        context.setSiteId(1045129585634881536L);
//        context.setCompanyId(1045129585563578368L);
//        context.setRelationIds(Arrays.asList(1314L));
//        ContextHolder.set(context);
////        globalSearchController.globalSearch("家庭财产保险及车辆保险");
//        courseController.name("家庭财产保险及车辆保险", 1, 10);
//    }
//
//    @Test
//    public void test() {
//        JSONObject jsonObject = JSON.parseObject("{\"pageNo\":1,\"pageSize\":1,\"requestContext\":{\"accountFullName\":\"张龙滢\",\"accountId\":1150590360361861120,\"accountName\":\"zhangly\",\"admin\":false,\"authCode\":\"\",\"companyCode\":\"yzkj\",\"companyId\":1045129585563578368,\"companyName\":\"运营测试站点\",\"headPortrait\":\"http://wework.qpic.cn/bizmail/caQcYIibvN0Gu5mT5165RnwyrLcBEU5xWTl3icTiaAWIiaodmvnOJvacgQ/0\",\"orgId\":1193775707612479488,\"orgIds\":[],\"orgName\":\"\",\"relationIds\":[1150590360361861120,1193775707612479488,1045129585613910016],\"requestId\":\"ffdb63a8-638f-4c5c-bfac-1c756e1db743\",\"siteCode\":\"cszd\",\"siteId\":1045129585634881536,\"siteMember\":0,\"siteName\":\"运营测试站点\"},\"strategyIds\":[1241357637183594496,1241357637183594496,1241357470845865984],\"strategyRuleVoMap\":{1241357637183594496:[{\"andOr\":\"and\",\"list\":[{\"andOr\":\"and\",\"business\":\"course\",\"businessClassName\":\"course\",\"name\":\"蒋亚\",\"property\":\"keyword\",\"relation\":\"equals\",\"sort\":1,\"value\":\"1050216603733696512\"}],\"name\":\"内容规则\",\"sort\":1,\"template\":false,\"type\":1},{\"andOr\":\"and\",\"list\":[{\"andOr\":\"and\",\"business\":\"account\",\"businessClassName\":\"com.fulan.esearch.application.pojo.system.Account\",\"name\":\"张龙滢\",\"property\":\"fullName\",\"relation\":\"equals\",\"sort\":1,\"value\":\"1150590360361861120\"}],\"name\":\"用户规则\",\"sort\":2,\"template\":false,\"type\":2}],1241357470845865984:[{\"andOr\":\"and\",\"list\":[{\"andOr\":\"and\",\"business\":\"exam\",\"businessClassName\":\"exam\",\"name\":\"test\",\"property\":\"name\",\"relation\":\"equals\",\"sort\":1,\"value\":\"1239442620636475392\"}],\"name\":\"内容规则\",\"sort\":1,\"template\":false,\"type\":1},{\"andOr\":\"and\",\"list\":[{\"andOr\":\"and\",\"business\":\"account\",\"businessClassName\":\"com.fulan.esearch.application.pojo.system.Account\",\"name\":\"盛承龙\",\"property\":\"fullName\",\"relation\":\"equals\",\"sort\":1,\"value\":\"1241241099499073536\"}],\"name\":\"用户规则\",\"sort\":2,\"template\":false,\"type\":2}]}}");
//        BusinessVo4PortalParam param = jsonObject.toJavaObject(BusinessVo4PortalParam.class);
//        System.out.println(recommendController.recommend4Portal(param));
//
////        param.getRequestContext();
////        Map<String, String> map = new HashMap<>();
////        map.put("pageNo", "1");
////        map.put("pageSize", "20");
////        map.put("context", JSON.toJSONString(param.getRequestContext()));
////        map.put("taskType", "course");
////
////        bizKeywordController.keywordPage(map);
//
//    }
//
//    @Test
//    public void testBizKeyword() {
//        SearchQuery searchQuery = new NativeSearchQueryBuilder()
//                .withQuery(QueryBuilders.matchQuery("kwValue", "健身裤"))
//                .withIndices("biz_keyword")
//                .build();
//        List<BizKeyword> bizKeywords = elasticsearchTemplate.queryForList(searchQuery, BizKeyword.class);
//        System.out.println(bizKeywords);
//
//        searchQuery = new NativeSearchQueryBuilder()
//                .withQuery(QueryBuilders.termQuery("kwValue", "健身裤"))
//                .withIndices("biz_keyword")
//                .build();
//        bizKeywords = elasticsearchTemplate.queryForList(searchQuery, BizKeyword.class);
//        System.out.println(bizKeywords);
//
//        searchQuery = new NativeSearchQueryBuilder()
//                .withQuery(QueryBuilders.matchQuery("kwValue", "健身裤的好处"))
//                .withIndices("biz_keyword")
//                .build();
//        bizKeywords = elasticsearchTemplate.queryForList(searchQuery, BizKeyword.class);
//        System.out.println(bizKeywords);
//
//        searchQuery = new NativeSearchQueryBuilder()
//                .withQuery(QueryBuilders.termQuery("kwValue", "健身裤的好处"))
//                .withIndices("biz_keyword")
//                .build();
//        bizKeywords = elasticsearchTemplate.queryForList(searchQuery, BizKeyword.class);
//        System.out.println(bizKeywords);
//
//        searchQuery = new NativeSearchQueryBuilder()
//                .withQuery(QueryBuilders.matchQuery("value", "健身裤的好处"))
//                .withIndices("biz_keyword")
//                .build();
//        bizKeywords = elasticsearchTemplate.queryForList(searchQuery, BizKeyword.class);
//        System.out.println(bizKeywords);
//
//        searchQuery = new NativeSearchQueryBuilder()
//                .withQuery(QueryBuilders.termQuery("value", "健身裤的好处"))
//                .withIndices("biz_keyword")
//                .build();
//        bizKeywords = elasticsearchTemplate.queryForList(searchQuery, BizKeyword.class);
//        System.out.println(bizKeywords);
//    }
//
//    @Test
//    public void testVisible() {
//        List<String> ids = new ArrayList<>();
//        ids.add("1029927829222260736");
//        ids.add("1038024579673030656");
//        ids.add("1052457565373419520");
//
//        String s = "1068470062963851264";
//
//        QueryBuilder qb = QueryBuilders.matchQuery("id", s);
//
//        SearchQuery searchQuery = new NativeSearchQueryBuilder()
//                .withIndices(Constant.INDEX_COURSE)
//                .withQuery(qb)
//                .build();
//
//        List<Course> courses = elasticsearchTemplate.queryForList(searchQuery, Course.class);
//
//        System.out.println(courses);
//    }
//
//    @Test
//    public void testVisibleRange() {
//        RequestContext context = new RequestContext();
//        context.setSiteId(1068470062963851264L);
//        context.setCompanyId(1068470062963851264L);
//        context.setRelationIds(Arrays.asList(1068470062963851264L));
//        ContextHolder.set(context);
//        courseController.name("定期寿险", 1, 10);
//    }
//}
//
